world
	fps = 25
	icon_size = 32

	view = 6

	hub="TheDarkChakra.EncounterSystem"
	name="Encounter System"

// New and improved!

obj
	step_size = 8

world/mob = /mob/player



mob/player
	Login()
		src.icon = 'player.dmi'
		src.loc=locate(2,3,1)
		src.step_size = 8
		battleinput()
mob
	enemy
		Bandit
			name="enemy 2"
			icon='enemy2.dmi'
			hp=100
			atktype="Mental"
			New()
				enemyinput()

		Prowler
			name="enemy 1"
			icon='enemy.dmi'
			hp=100
			atktype="Physical"
			New()
				enemyinput()
		Thief
			name="enemy 3"
			icon='enemy3.dmi'
			hp=100
			atktype="Melee"
			New()
				enemyinput()
		Assassin
			name="enemy 4"
			icon='enemy4.dmi'
			hp=100
			atktype="Projectile"
			New()
				enemyinput()
		Criminal
			name="enemy 5"
			icon='enemy5.dmi'
			atktype="Magic"
			New()
				enemyinput()

turf
	Grass
		icon='turf.dmi'
		Entered(mob/m)
			if(m in m.allies)
				if(prob(3) && m.partyleader==TRUE && ismob(m))
					m.prevloc=m.loc // remember previous location if you were to choose run
					if(prob(50))
						if(m.allies.len>0)//makes sure there is someone in the party greater than the number written so it won't give an error
							var/mob/x=m.allies[1]
							x.loc=locate(12,6,1)
							x.inbattle=1
						if(m.allies.len>1)
							var/mob/y=m.allies[2]
							y.loc=locate(12,3,1)
							y.inbattle=1
						if(m.allies.len>2)
							var/mob/z=m.allies[3]
							z.loc=locate(11,9,1)
							z.inbattle=1
					else
						if(m.allies.len>0)
							var/mob/x=m.allies[1]
							x.loc=locate(70,10,1)
							x.inbattle=1
						if(m.allies.len>1)
							var/mob/y=m.allies[2]
							y.loc=locate(70,5,1)
							y.inbattle=1
						if(m.allies.len>2)
							var/mob/z=m.allies[3]
							z.loc=locate(70,1,1)
							z.inbattle=1
					for(var/mob/M in view(10))//add all mobs to a list, check if it exists to not double add them and assign each mob in the list a turn
						if(!m.totallist.Find(M))
							m.totallist.Add(M)
						if(m.totallist.len>0)
							var/mob/first=m.totallist[1]
							first.turn=1
						if(m.totallist.len>1)
							var/mob/second=m.totallist[2]
							second.turn=2
						if(m.totallist.len>2)
							var/mob/third=m.totallist[3]
							third.turn=3
						if(m.totallist.len>3)
							var/mob/fourth=m.totallist[4]
							fourth.turn=4
						if(m.totallist.len>4)
							var/mob/fifth=m.totallist[5]
							fifth.turn=5
						if(m.totallist.len>5)
							var/mob/sixth=m.totallist[6]
							sixth.turn=6
					for(var/mob/enemy/en in view(10))
						if(!m.enemies.Find(en))
							m.enemies.Add(en)
					newturnstwo(m)
	Grasssolid
		icon='turf.dmi'
		density=1
	Rocks
		icon='rocks.dmi'

var/parties[0]

mob
	var
		turn
		hp=100
		inbattle=0
		atktype
		newwturn=0
		partyleader=FALSE
		prevloc
		party
		tlist=0


mob/
	var
		list
			allies[0]
			enemies[0]
			totallist[0]

mob/Stat()
	if(src.party)
		statpanel("Party")
		stat("Party:",src.party)
		stat(Seeparty())

mob/Move()
	if(src.inbattle)//this stops the movement of people on the team
		return
	else
		..()