mob/proc/Seeparty()
	var/partylist[0]
	for(var/mob/M in world)
		if(M.party == usr.party)
			partylist += M
	return partylist
	spawn(1) Seeparty()

mob/verb/Start_Party()
	var/partyname = input("What is the name of your party?")
	if(partyname=="")
		usr << "You must name your party"
		return
	if(parties.Find(partyname))
		usr << "There is already a party by that name"
	else if(!usr.allies.Find(usr)) //if your list doesn't have you already
		parties+=partyname
		usr.allies+=usr
		usr.party = partyname
		src.partyleader=TRUE
		usr.verbs+=/mob/extra/verb/Invite_Party
		usr.verbs+=/mob/extra/verb/Unjoin_Party
		usr.verbs+=/mob/extra/verb/Kick

mob/extra/verb/Kick(mob/m in usr.allies)
	if(usr.partyleader && m!=usr)
		m.party=null
		usr.allies-=m
		m.verbs-=/mob/extra/verb/Unjoin_Party

mob/verb/Join_Party(mob/M in world)
	if(M.party)
		if(M.partyleader)
			if(!usr.party)
				switch(alert(M,"[usr] would like to join your party.",,"Sure","No"))
					if("Sure")
						M.allies+=usr
						usr.party = M.party
						usr.verbs+=/mob/extra/verb/Unjoin_Party
					if("No")
						usr << "[M] declined you."
						M << "You declined [usr]."
						return
			else
				usr << "You are already in a party!"
		else
			usr << "[M] is not the leader of this party"
	else
		usr << "[M] isn't even in a party!"

mob/extra/verb/Invite_Party(mob/m in world)
	if(!m.party)
		switch(alert(m, "[usr] invites you to your party",, "Accept", "Reject"))
			if("Accept")
				m.verbs+=/mob/extra/verb/Unjoin_Party
				m.party=usr.party
				usr.allies+=m
			if("Reject")
				usr << "[m] has declined"
	else usr << "[m] is already in a party!"

mob/extra/verb/Unjoin_Party()
	switch(alert("Unjoin [usr.party]?",, "Yes", "No"))
		if("Yes")
			for(var/mob/m in usr.party)
				if(m.partyleader)
					m.allies-=usr
					parties-=usr.party
			usr.party=null
			usr.verbs-=/mob/extra/verb/Invite_Party
			usr.verbs-=/mob/extra/verb/Unjoin_Party
			usr.verbs-=/mob/extra/verb/Kick
			usr.partyleader=FALSE
		if("No")
			return